Skills
List skills
List your skills and the pre-built h/ skills.
GET
/
api
/
v2
/
skills
from hai_agents import Client
client = Client()
page = client.skills.list_skills()
for skill in page.items:
print(skill.name)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
const page = await client.skills.listSkills();
for (const skill of page.items) {
console.log(skill.name);
}
curl "https://agp.eu.hcompany.ai/api/v2/skills" \
-H "Authorization: Bearer $HAI_API_KEY"
{
"items": [
{
"name": "extract-table-data",
"description": "Use when the task asks for data in an HTML table.",
"body": "When you encounter an HTML table, extract all rows and columns into a JSON array of objects...",
"source": null,
"url_pattern": null,
"compatibility": null,
"files": {},
"executable_files": []
}
],
"page": 1,
"total": 5
}
Query parameters
string
Case-insensitive substring match on the skill name.
string
Case-insensitive match on the skill name or description.
integer
default:"1"
Page number (1-based).
integer
default:"10"
Items per page. Maximum:
1000.string
default:"-created_at"
Sort order. Options:
created_at, -created_at, name, -name.Response
200 with a page envelope whose items are skill objects.
from hai_agents import Client
client = Client()
page = client.skills.list_skills()
for skill in page.items:
print(skill.name)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
const page = await client.skills.listSkills();
for (const skill of page.items) {
console.log(skill.name);
}
curl "https://agp.eu.hcompany.ai/api/v2/skills" \
-H "Authorization: Bearer $HAI_API_KEY"
{
"items": [
{
"name": "extract-table-data",
"description": "Use when the task asks for data in an HTML table.",
"body": "When you encounter an HTML table, extract all rows and columns into a JSON array of objects...",
"source": null,
"url_pattern": null,
"compatibility": null,
"files": {},
"executable_files": []
}
],
"page": 1,
"total": 5
}
Was this page helpful?
⌘I
from hai_agents import Client
client = Client()
page = client.skills.list_skills()
for skill in page.items:
print(skill.name)
import { HaiAgentsClient } from "hai-agents";
const client = new HaiAgentsClient();
const page = await client.skills.listSkills();
for (const skill of page.items) {
console.log(skill.name);
}
curl "https://agp.eu.hcompany.ai/api/v2/skills" \
-H "Authorization: Bearer $HAI_API_KEY"
{
"items": [
{
"name": "extract-table-data",
"description": "Use when the task asks for data in an HTML table.",
"body": "When you encounter an HTML table, extract all rows and columns into a JSON array of objects...",
"source": null,
"url_pattern": null,
"compatibility": null,
"files": {},
"executable_files": []
}
],
"page": 1,
"total": 5
}